GNU bug report logs - #32897
nxml-mode nxml-char-ref-extra-display for 
 (newline) is unwanted

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: David Carlisle <davidc@HIDDEN>; Keywords: patch fixed; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 26.3, send any further explanations to 32897 <at> debbugs.gnu.org and David Carlisle <davidc@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32897 <at> debbugs.gnu.org:


Received: (at 32897) by debbugs.gnu.org; 9 May 2019 11:45:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 07:45:22 2019
Received: from localhost ([127.0.0.1]:34821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOhUI-0002RG-ET
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 07:45:22 -0400
Received: from mail-it1-f175.google.com ([209.85.166.175]:35015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hOhUF-0002JO-Hc; Thu, 09 May 2019 07:45:20 -0400
Received: by mail-it1-f175.google.com with SMTP id u186so2849891ith.0;
 Thu, 09 May 2019 04:45:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=w9fyLpy58FUHvoYYzLgog7eBYLRw7WctIB3skmPOQeo=;
 b=u2XuI7dVNzjAVT8sN0hNTsnxjREcB0vUNYwRmJK1QIun7yMMSZ7NGwPa123tWdNTmi
 sA4kDzEqy5RY2dfmWCEuxDQ8nqfgoc0oIuSqQNBjXcoFrzXxgGW6qxzIaK5oB647vKgj
 U7IAId2wbltJHiztIw29AN88+FdH1UcYVjznRor6FBiwYGPoGs+0lcMkXpaKGtjst6Oe
 aO9U/vMi6gy5s/ZxxyIbLJWgmCERpyapfj319ePD/M2kRDfDjMEGpAtBZSlewWr0NApy
 jixbcCnCTxcvlfv1EtrBuhokYTyGW4OTrzJUbGZ34uRwXeQq1jyXuM1AVATe90p3bMpp
 zYTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=w9fyLpy58FUHvoYYzLgog7eBYLRw7WctIB3skmPOQeo=;
 b=gAvrZuk13DUDA8re1IhJTNRsSHpx4U0ZlK9B+opghhNW/pefyNNIDIZLoyPb/S0uK4
 iJ0q4ihsQEx4cwOSS+3h0BVlh5gUvGg+yIpyhcOC679770y+iPCf51Gp9NEXRqBGx0vY
 g5fvOKFHBttnrzYPS3IvHWIfJGweoUAJuwBHFsGsah0tDpE5NNLMbT3DBrdZQl2D3orw
 R5btg51Dr9aGLWmmYCztCyCPLTeqq6EU7w9sWU0AGXysImpR+BYrqWNBvp4cTwFS2xMv
 4Q/CstBJj5NVM3ZQeptnPPpe/IRFZ9piQnK58Q/xRr/IpCZf1MfZ+KcXLdJCEsimTSG8
 8rhA==
X-Gm-Message-State: APjAAAURi9yqlZGF3EZzQEm1Jj6/hPIoPxPEWWNDigsoew6QSwfCm4VA
 mR+HittAug0AmXWND0830LexLivO
X-Google-Smtp-Source: APXvYqxXmWlN0gNq3tG4h5t6Na8aIre40ljbVRczQTjQHce1nX6VFkGqZEUYvXiuAQG8sF8RAQkQag==
X-Received: by 2002:a24:6292:: with SMTP id d140mr2370814itc.12.1557402313865; 
 Thu, 09 May 2019 04:45:13 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 t191sm932017itt.17.2019.05.09.04.45.12
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 09 May 2019 04:45:13 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: David Carlisle <davidc@HIDDEN>
Subject: Re: bug#32897: 26.1; nxml-mode indentation
References: <f7d5ea73-ab25-a9f4-31a7-e75311b7a7b9@HIDDEN>
 <87pnphvqlv.fsf@HIDDEN>
Date: Thu, 09 May 2019 07:45:12 -0400
In-Reply-To: <87pnphvqlv.fsf@HIDDEN> (Noam Postavsky's message of "Fri, 19
 Apr 2019 13:42:36 -0400")
Message-ID: <87lfzfkg1j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32897
Cc: Stefan Monnier <monnier@HIDDEN>, 32897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 32897 fixed
close 32897 26.3
quit

Noam Postavsky <npostavs@HIDDEN> writes:

>> Also it does not show a visual newline for #10, even when other numeric
>> references to printable characters do display the character, which was
>> the desired behaviour.
>
> I assume this was changed by [1: 930f8e8377].  I guess can just special
> case newline, it's the only character that has this problem that I can
> think of.  This would be for emacs-26 since it's a regression.

> Subject: [PATCH] Disable extra display of &#10; in nxml-mode (Bug#32897)
>
> * lisp/nxml/nxml-mode.el (nxml-char-ref-display-extra): Don't put
> display for the newline, it makes the indentation look wrong.

> +  (when (and ;; Displaying literal newline is unhelpful.
> +             (not eql n ?\n)
> +             nxml-char-ref-extra-display)

Added missing parens, and pushed to emacs-26.

e4cde42657 2019-05-09T06:42:40-04:00 "Disable extra display of &#10; in nxml-mode (Bug#32897)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e4cde42657f8f91f795e6b7041dc50b896dc468d





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32897; Package emacs. Full text available.
Added tag(s) patch. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'nxml-mode nxml-char-ref-extra-display for &#10; (newline) is unwanted' from '26.1; nxml-mode indentation' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32897 <at> debbugs.gnu.org:


Received: (at 32897) by debbugs.gnu.org; 19 Apr 2019 17:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 19 13:42:48 2019
Received: from localhost ([127.0.0.1]:44577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hHXXE-0008EF-2W
	for submit <at> debbugs.gnu.org; Fri, 19 Apr 2019 13:42:48 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:39523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hHXXB-0008Dw-G8; Fri, 19 Apr 2019 13:42:46 -0400
Received: by mail-qt1-f175.google.com with SMTP id f13so5816604qto.6;
 Fri, 19 Apr 2019 10:42:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=PR7qXt2NrNaFgXl90OvRQz39fCOchxc3Lj89xPv5CG4=;
 b=WPUDy1yWN9OvotMOU2HRTUoFCAOcZKfAl76dTzhKNu4dHnru6dnZIpM7LSDLYkUWY5
 9AKgrD+9DXrXd/BbbfmBNDbREelUO4CBTWjS3fBs0Bn19sqJJQNZ/rYHh591l6KiqIqM
 BB3nXg58DvTI+cPGR1NYmD0H9kOL83lb+BcbcOifNNisK07OQ5sfB7ILxpj4F2EQ1AN4
 9D2Ye07dH9/ZcTbiizwABWMht/oMZxV8arqbfqus5X6cDzRf6Tk7kLLR7CqQsORKanLO
 GRSf5NukKs/4hjBu87TyFOLowfma+vk30zsSoPbSjs8EaIHZooWH+DzHxLfE3k5hU/Xt
 Kp7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=PR7qXt2NrNaFgXl90OvRQz39fCOchxc3Lj89xPv5CG4=;
 b=FwKn0yZoyiQn64lZ3ePYHM5gs2eHVxuXSlomXelJpYiN+nfzhjIHg+eL7Zvytlrbki
 vPQjFfu4EyipmJoAQtMzP4h7xTVGSMnZELZfCUW7ekU56Ta14c4jgKtWBxm5rHNjH+Xj
 87hELaQFYPVOk28MBIefDjSgT/+wcuuux5B8fGzud6wUtLlAnOmC7eVcBraU/NYxRI5d
 RkaLf2rWa65GlQw6guivojR7wWNEyTIZkYvC9qhNDHFgKzPUTg5EzLikDs6gCSaU5hbZ
 Z/homyN99a/CUjO1XnDGvMH5fWXmLHlGBqv7aJSIZytNT9VehVuVB1V2sr+tv4mBCFYZ
 RRzg==
X-Gm-Message-State: APjAAAVRmUTptmnIp176V80gMzQSeD+FoysPSkLvpgtJfXP0M0OPTLH8
 iJlObWnM94Abxt+eWnvsY6Sm49AV
X-Google-Smtp-Source: APXvYqy6wxXKkFuI7nQJ0O1+ycqzOGeVgJQAk3Q6Z8v9j7YQ0alaZN48omDdoC/50qPBYlZGigwZ2A==
X-Received: by 2002:a0c:b291:: with SMTP id r17mr4321723qve.206.1555695758929; 
 Fri, 19 Apr 2019 10:42:38 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 u15sm3373558qth.54.2019.04.19.10.42.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Apr 2019 10:42:38 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: David Carlisle <davidc@HIDDEN>
Subject: Re: bug#32897: 26.1; nxml-mode indentation
References: <f7d5ea73-ab25-a9f4-31a7-e75311b7a7b9@HIDDEN>
Date: Fri, 19 Apr 2019 13:42:36 -0400
In-Reply-To: <f7d5ea73-ab25-a9f4-31a7-e75311b7a7b9@HIDDEN> (David
 Carlisle's message of "Mon, 1 Oct 2018 10:44:37 +0100")
Message-ID: <87pnphvqlv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32897
Cc: Stefan Monnier <monnier@HIDDEN>, 32897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

retitle 32897 nxml-mode nxml-char-ref-extra-display for &#10; (newline) is unwanted
severity 32897 minor
tags 32897 + patch
quit

[For the indentation aspect of this bug, see Bug#32003.]

David Carlisle <davidc@HIDDEN> writes:

> Also it does not show a visual newline for #10, even when other numeric
> references to printable characters do display the character, which was
> the desired behaviour.

I assume this was changed by [1: 930f8e8377].  I guess can just special
case newline, it's the only character that has this problem that I can
think of.  This would be for emacs-26 since it's a regression.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Disable-extra-display-of-10-in-nxml-mode-Bug-32897.patch
Content-Description: patch

From 689e90314f73fef3b2a7bdda183ca78101a5d449 Mon Sep 17 00:00:00 2001
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 19 Apr 2019 13:28:00 -0400
Subject: [PATCH] Disable extra display of &#10; in nxml-mode (Bug#32897)

* lisp/nxml/nxml-mode.el (nxml-char-ref-display-extra): Don't put
display for the newline, it makes the indentation look wrong.
---
 lisp/nxml/nxml-mode.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/nxml/nxml-mode.el b/lisp/nxml/nxml-mode.el
index f17f5843b8..14748d5c56 100644
--- a/lisp/nxml/nxml-mode.el
+++ b/lisp/nxml/nxml-mode.el
@@ -2378,7 +2378,9 @@ (defun nxml-toggle-char-ref-extra-display (arg)
 (put 'nxml-char-ref 'evaporate t)
 
 (defun nxml-char-ref-display-extra (start end n)
-  (when nxml-char-ref-extra-display
+  (when (and ;; Displaying literal newline is unhelpful.
+             (not eql n ?\n)
+             nxml-char-ref-extra-display)
     (let ((name (or (get-char-code-property n 'name)
                     (get-char-code-property n 'old-name)))
 	  (glyph-string (and nxml-char-ref-display-glyph-flag
-- 
2.11.0


--=-=-=
Content-Type: text/plain


[1: 930f8e8377]: 2016-01-15 10:29:20 -0500
  Update nXML to use Emacs's Unicode support, and lexical-binding
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=930f8e8377e40ba161bd16ea4d612cb4c570ee1b

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32897; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Oct 2018 15:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 01 11:22:35 2018
Received: from localhost ([127.0.0.1]:33428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g701q-0005TR-C7
	for submit <at> debbugs.gnu.org; Mon, 01 Oct 2018 11:22:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.carlisle@HIDDEN>) id 1g6umK-0007of-Mh
 for submit <at> debbugs.gnu.org; Mon, 01 Oct 2018 05:46:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david.carlisle@HIDDEN>) id 1g6umD-0000GJ-FR
 for submit <at> debbugs.gnu.org; Mon, 01 Oct 2018 05:46:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53558)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <david.carlisle@HIDDEN>)
 id 1g6umC-0000Fe-Qm
 for submit <at> debbugs.gnu.org; Mon, 01 Oct 2018 05:46:05 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50630)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <david.carlisle@HIDDEN>) id 1g6umB-0005Vo-3p
 for bug-gnu-emacs@HIDDEN; Mon, 01 Oct 2018 05:46:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david.carlisle@HIDDEN>) id 1g6um4-0000Au-PA
 for bug-gnu-emacs@HIDDEN; Mon, 01 Oct 2018 05:46:02 -0400
Received: from eu-smtp-delivery-100.mimecast.com ([207.82.80.100]:52738)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <david.carlisle@HIDDEN>)
 id 1g6um3-0000A2-Sd
 for bug-gnu-emacs@HIDDEN; Mon, 01 Oct 2018 05:45:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=nagltd.onmicrosoft.com; s=selector1-nag-co-uk;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=vx2UX8c3frgneTCxUTkd7++YMKz9ksBcc2cn21Dn7QQ=;
 b=omPlRZWxtEyOYdD2ChhzCgjM1HAUbMhWj3JM4Kms+LEjEZNcnpteUpXpmCg6neUkLVnd7JblTkU/sXBPYTbvOYqFiKLuNVoQoHUElEvQvPrqOrWf/SsOSYvM4wkEQ7wY9NgUAV+DSr/jotOnDcr6k+dFvqMPu5YUGnxpmOefiNo=
Received: from EUR01-DB5-obe.outbound.protection.outlook.com
 (mail-db5eur01lp0177.outbound.protection.outlook.com [213.199.154.177])
 (Using TLS) by eu-smtp-1.mimecast.com with ESMTP id
 uk-mta-106-bV9cOm1kMkaO9QCLx9ILRw-1; Mon, 01 Oct 2018 10:44:41 +0100
Received: from [192.156.217.137] (62.254.111.82) by
 VI1PR0501MB2623.eurprd05.prod.outlook.com (2603:10a6:800:9d::9) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.1185.20; Mon, 1 Oct
 2018 09:44:39 +0000
To: bug-gnu-emacs@HIDDEN
From: David Carlisle <davidc@HIDDEN>
Subject: 26.1; nxml-mode indentation
Message-ID: <f7d5ea73-ab25-a9f4-31a7-e75311b7a7b9@HIDDEN>
Date: Mon, 1 Oct 2018 10:44:37 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Language: en-GB
X-Originating-IP: [62.254.111.82]
X-ClientProxiedBy: CWLP265CA0189.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:401:4d::33) To VI1PR0501MB2623.eurprd05.prod.outlook.com
 (2603:10a6:800:9d::9)
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 23836a98-4f25-4ef1-eaa7-08d6278281fd
X-Microsoft-Antispam: BCL:0; PCL:0;
 RULEID:(7020095)(4652040)(8989299)(4534165)(4627221)(201703031133081)(201702281549075)(8990200)(5600074)(711020)(2017052603328)(7153060)(7193020);
 SRVR:VI1PR0501MB2623; 
X-Microsoft-Exchange-Diagnostics: 1; VI1PR0501MB2623;
 3:9Vfps0UI2TqsEr8lBrwWzjtctsDMqZFgBG+UWL/rz1GWMdMYf5rimjY9hqaQiyWmHv043Ds2sW7X3zZKP7SwpH6mBj1MHbuen9KNZAbqCFrMfZMr9WTtwUzlbRDAT3ipw/zW/rk/n+WZUgtPta+oXMfA2C1qqdJkYQ5I+UWcEHGadj4mROg+jzLqLdoGAomAelk2mVKnazf/6Fk2lR07WWe80Fa4MMn0lbCTEQQtXtnuzl0j+J5lenQnFW0+0uFR;
 25:xwY9gsydIi+2hyBYIM8VmrYyEhaVhehSOTXFnfHwGfqU38wCXEAX95lEfbl9T4YfLwHtEogDW1eVu2hjfJ+CFzCdIrf743nr4RDsKPBMKhfs5QgzNikzyFoZ5rmWMprjtMNs35Ro0P7otDXk3mScR/mWvcr5bVeAivaNps3vbqBZvDPFFpBilksWQRJCEyTcJvrOXU0Gbvxo799q6uyU2toDFCWS7JkIUbZ48OLapu6N/ppbnCMDrV8j6Pl6SrNNuP5Z7rndn8Z4ZHUD0LRsaZId1ZGL7BTfFZf13JwA6+lxMRqKZd30KpLUyVznWp9X+dV7I5zNCy2qEFQSeI+lrg==;
 31:aGcvKcwJSIkKxEC+bfCcp9KQFkNHSBJMFbVlt0ICwL0KZFtCckgLj7qu48g5+knibIzUGcsueWJEaCmQGpn5MN3TbDyj2L7SMM+wnZJfjdo4rUorIUndsfDor2LkjIl/DF6g8n5RQenvWQqIGjC1qUd6iq4KM+DLn6RHedZkl1hcy6Cy8dSmyGK4B5vGj/QowR5Pw+6dtfbhPVD8RpaR1wtuPZz7ewbxG/gws9rqw9U=
X-MS-TrafficTypeDiagnostic: VI1PR0501MB2623:
X-Microsoft-Exchange-Diagnostics: 1; VI1PR0501MB2623;
 20:R/iRzatDJCvzzL5jH+tSzR6gwSyTrAaZucquP5k0rxb9cYUOBp+jb5SHOO/O64uO5pbUx5aOKjI7yY7Tdx921n8kZ/PTfDACNsuF5hO9x7tdkKHNMFQXLjpHFO8H/+c3OSHnn2wwAqLYKTEHCpK+LXfHUpVk/oMxIosy7ZY8sYR09byuss9v0seQM4MX0hgKiSArTQ4qaXGJPg+bdO9kzwTOQBodQZEaDLPwZvOKSqu5vziT+RpNi4z9zwrJQOWitd56nk3q3EUXWPnGA9eVm07QWVsz3AgfDLL+P/+1LcyIAiC0muSXyRMVEkf6QtWe1JJbsLuxDSd1KGvTzwh24g7TFbtbFvpp6ll67nA4QX4aC8sIhQmY4M1IDgO4QdaZNjY/UvhaE+JsEwfI0kiKFgkwXztMHYVI133TiHg3DRM=;
 4:fqmO3mGa9RRL/7/8b3vOx1d4R4KIgHHQB5cGYayMD39iPPpMDpBUWaEjI0SQRP/eFnHLiHWd07dxLgXzQdwYAfvrsttjLs3MtrjenCzIznKCvR5z71a9gABwkTFkZoHVQAGK8P6KAqiJ2teH3zJ9UfQvO4IeHLuZTlbOS3nrxDZPLAbBfOvaffbptdUGra3gK3nfocYfSSNg179/+aVwlKVoCpERgDRbAPEdbMEB7+u1+0IsKYDn03AdxGukStro/3fd19O1MOd8XffxcyzvzAcq5VXuZZNHbnnCjJAcIsGrDw7i/XaBRoY3asUsKpUS
X-Microsoft-Antispam-PRVS: <VI1PR0501MB26238E06A3578A75BC9FF5D7DFEF0@HIDDEN>
X-Exchange-Antispam-Report-Test: UriScan:(788757137089);
X-MS-Exchange-SenderADCheck: 1
X-Exchange-Antispam-Report-CFA-Test: BCL:0; PCL:0;
 RULEID:(6040522)(2401047)(5005006)(8121501046)(3231355)(944501410)(52105095)(93006095)(93001095)(3002001)(10201501046)(149066)(150057)(6041310)(20161123558120)(20161123564045)(20161123560045)(201703131423095)(201702281528075)(20161123555045)(201703061421075)(201703061406153)(20161123562045)(201708071742011)(7699051);
 SRVR:VI1PR0501MB2623; BCL:0; PCL:0; RULEID:; SRVR:VI1PR0501MB2623; 
X-Forefront-PRVS: 0812095267
X-Forefront-Antispam-Report: SFV:NSPM;
 SFS:(10019020)(6049001)(396003)(136003)(366004)(39830400003)(346002)(376002)(199004)(189003)(67846002)(956004)(2616005)(476003)(105586002)(97736004)(2351001)(386003)(3260700006)(2361001)(25786009)(551544002)(2870700001)(106356001)(16526019)(486006)(64126003)(74482002)(186003)(50466002)(6916009)(74826001)(58126008)(66066001)(47776003)(34290500001)(305945005)(316002)(16576012)(3846002)(7736002)(49976009)(65806001)(65956001)(6116002)(36756003)(23676004)(52146003)(2486003)(52116002)(8676002)(81156014)(81166006)(31686004)(478600001)(6486002)(31696002)(2906002)(53936002)(14444005)(8936002)(68736007)(5660300001)(26005)(65826007)(78286006);
 DIR:OUT; SFP:1102; SCL:1; SRVR:VI1PR0501MB2623; H:[192.156.217.137]; FPR:;
 SPF:None; LANG:en; PTR:InfoNoRecords; A:1; MX:1; 
X-Microsoft-Exchange-Diagnostics: =?us-ascii?Q?1; VI1PR0501MB2623;
 23:N6HXsNOMtmNK+x7oDsTn74QhHvcw5Kq8tqqx1uw?=
 =?us-ascii?Q?A32fwnvCkJ6TBW1LNv1eYxRroumwyBTmwdBmvd9WLCMDnxXpW1XuTWIyV7UL?=
 =?us-ascii?Q?cj3ryP0zfXuIDYOFFMWdziWp7XieYUCZo7YrqWmnwlMIbMK/8e8l/U/2kPgw?=
 =?us-ascii?Q?sg/p+FUfWCcV6j+ps6RDPY6XD//WqwZSHQ19w3+APb4ZdtluWhcq+hAqo9Gh?=
 =?us-ascii?Q?86rtU9GvnH935kYPK3Sr85j15bMQDhxTrqwIKY5quouU333Wtt4nCF5tKNWn?=
 =?us-ascii?Q?OKOE6XfgYRBd/dv0LB/0cTGs15Fu5dSzi4JWrTjjAV08G51z0FsV9nf248jb?=
 =?us-ascii?Q?QsE8gy+YmC2bNz6ImzvX67+woAgjVP+OnSpiTX31FckpXUjLYtmBfgfIW/02?=
 =?us-ascii?Q?MfDhj22e4eGG6eBJIL92+v1rKSLZlu6/sK40qexGn6WAbERjcMiuSIIRBn2q?=
 =?us-ascii?Q?GrQgUiLz4af74dsz9zZkBXcuyqgW0zSr7ydsBwWlTx9shmcJWmFdJ0tlsSEE?=
 =?us-ascii?Q?zd9clJdoN5OKLn3irIHvWrtB/keGzmDz6jQW0eoqzJD6M2BLT1MB7rboUXNK?=
 =?us-ascii?Q?2yjNS0RA2731FDx/mwKCl9RLef+c3omxE0NNmvEHbifqlGJhMpS7/tV61FM5?=
 =?us-ascii?Q?DrP4czQjshtt+sqlaA2tgacby6aj5zBzGwCe2umz39FJXB2E/IkUVDtD+lT8?=
 =?us-ascii?Q?LJRzOrsuhrmVZCNxC+bLqO0qW7ld7DBbx6l+a//maGlAH9/dzyzquyxHDJWl?=
 =?us-ascii?Q?nnr8g0exyQgah6fXFuzSWSNrycvfO7g5ADioUeQw0u1c0zr3dU/jRp20d6lm?=
 =?us-ascii?Q?pRdUzGbxpwM8Fa8w/kH0UaPthGddYWGxqwF0mhluTxTd6gCfaC+8y5POcf3G?=
 =?us-ascii?Q?geg6ibl2M2LiH5KaBA8X0WLlcWxbcAUlqhFUpgSDtfwpxy+bVa/kYBP+4ak/?=
 =?us-ascii?Q?yrvzNKEeZPANET4faKe/l8lC8HPfg613w+i8QVk5yBTkjs+l6O9/l8ItA3eJ?=
 =?us-ascii?Q?JEyXGaI++9qoLtCn6YSF+rAxHzJJWNf0LC+PSdL/4LAcFTCp/5wAcVb0Zg4k?=
 =?us-ascii?Q?aPOEbaxxoxj5cMy34uBj1KlOdpMtuTaP8clVrQ2fJGNC4X8Ljtxo1JGwokh/?=
 =?us-ascii?Q?pqd3aKR/BnbAB52hRAdDZDRdTT0siLGrAhWy3Qm270x68ENz8+Xe32ujJVRd?=
 =?us-ascii?Q?HGs68m1y0fX1v1GYtHCMiesoegidgkmparp7OKVAm9tzHsOZQHGxfYgNfS7p?=
 =?us-ascii?Q?UaW4f5+eHiEUg5pr3v3SxovtfPoRToWrOcmbRzeQ8rQeFC3bRVADUTigQN7Z?=
 =?us-ascii?Q?g1/75vvst8N0ZfsBdkq21UsVXMN1s2rak2Bs4/GE6a99I2ou+9VVTd2hFmCH?=
 =?us-ascii?Q?PLzd3t7qM4zgVraLk4PMwJ+YvqTcDv6HTHkzJ0fA3HkkZvK6jifrAgxI/04q?=
 =?us-ascii?Q?PeAJS6l9xYJNZgYAT5KDd5tWP4KpY6Ak=3D?=
X-Microsoft-Antispam-Message-Info: 0xO+RiWCx9mOeNlK2Q+cB0uNQf9q8tgXrOIvgKJ0KXgUmzvq+ODlIszcDIiD01nheYdM59+/AF6A4k0c6GCdWxa1brdUFaT7R+7uoW9PG3XBY6c4jSEQJ47+j3jJBHhcrzHxkoKK2MbygOeUo0TyS0J+o3+Gzs7OXYizClU8j8db5VmGzms3+K++adpvbY16qGTVG/UhjroaPSJ9kWa0e1p8V/CWIdgmXqw8bXFbQUgEGKk9siONEl8uNhjAqzs5Q/NFl8+nofMQiMRUhdHyQoE5YBKqe9Fce4tYx/Kto/tMe593aNNnCXyT/uVRi96Imgzl0EUM6n9RgSz1IpxyqJg2SYtnmWC2rVuxLqnX6Uo=
X-Microsoft-Exchange-Diagnostics: 1; VI1PR0501MB2623;
 6:ZGsTGB2iYghUfdBgeS325bA1SIgm5XhyERJ/97T41fhrdlLbQ5szoNZJYgymKPrHX6OuwUH+SIuTuPttbpff6EHRVxvWJ+nJjq2KfABIFYGael3kZDZhb3VpmS8jZZJKOQSX925u1dFSj7QWh48l9pnSA01stR2CtSkspwh5kUMsxQUC7JGLmIQyJ7rDrTn3kH66VGEzqpPjrGnkIejJgm089VEQ9dIoD+q7cyaPKfUOnPwV+17d6/WUXYeufXrijR5d9yAiuOP/nF+ydoHtppf61jKYNQ+38wYu/ztZQaNNE57nETvJbQrWBEobkY32B7mHL6gg5RUZyG+khUeAp4ktwh8iV2bjtHrtlJMeZcQyO5JCJpgPwn32fR8ce4Pu1zAgkSmPA/jziFzuPcdRiVYJWIP6rB8X6F0JTQXjbyoyfTw9YngZD5w+ywo3hq4+Z4C0LmwfL2OOZZrpIJ5Ugg==;
 5:UeYjV1n1vhUcPhRdgLcBmnNCeDVpXJRD5Peu4uP+FHvh8gpHmuFCT8CyajPTC4wSOoHvbTVDNLWM4oB5u3/3BNtiBIEw2uWFXClTr/rWtZa/iyn1eA497s+U8L66bi3UKSSX1GkQY3o9AlTg4ZEsCRxVRf+TY58o6fXsVs3k4Qc=;
 7:uiLY4SDlSWOrfJLMNkoJn0bG4P68hb+ax3u+O487SkXi64bNmlGpWovpWP9u0cYw3mOHQplr2q2A/SESpvq/2xSdV10SQbvc+5SNlVNXlnDlSTmg0AAmve6MVqmn/b1U9SsbS8bmgYkdWKM6tSSxwgcyudDe0iDY65UJdflBAPGykNpjdWJVnkSHBRX4Hi8KUz1/yKNQ68Yyw1+wCMn8Ef5NID53S1b5VIxF/4uXRi86fZ48ohQP59t0WB4Up0k/
SpamDiagnosticOutput: 1:99
SpamDiagnosticMetadata: NSPM
X-Microsoft-Exchange-Diagnostics: 1; VI1PR0501MB2623;
 20:UFi2jDPDGZOzw6IS2fwet5tUFRBB1W1v8vyTEJi9ihCJutFtXHGLpbB2nP58czchfhPi9A+Hl5Jz02AwaYjXK+69WIJJlVXVDWpEDIxkkh76RclRvOpnGbiVwEdwNL0u3epkj0KlI+VaZp3mZW+yeOa86VHEnEFnEP2Mj0Q11Gc=
X-OriginatorOrg: nag.co.uk
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 01 Oct 2018 09:44:39.8095 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 23836a98-4f25-4ef1-eaa7-08d6278281fd
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: e7971626-b996-462e-b3c9-bbba3a50d55d
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR0501MB2623
X-MC-Unique: bV9cOm1kMkaO9QCLx9ILRw-1
Content-Type: multipart/alternative; boundary="MCBoundary=_11810011044433751"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 01 Oct 2018 11:22:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--MCBoundary=_11810011044433751
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable



loading the following xml into emacs -q

<x>
   <abc xx=3D"x/x/x/x/x/x/x/
=09   y/y/y/y/y/y/
=09   ">
=09   <zzz/>
   </abc>
   <nl>&#10;</nl>
</x>

and using indent-region on the whole file produces the layout shown
with <zzz/> indented to the level of the wrapped attribute.

Also unless nxml-char-ref-display-glyph-flag is set to nil, the #10
displays a newline so the display appears as

   <nl>&#10;
</nl>


so spoiling the visual indentation.
(In the actual use case in XSLT, the newlines are only entered as &#10;
rather than a literal newline to improve the indentation layout of the
stylesheet so having the newline displayed defeats this completely.)


Previous versions of nxml-mode (I had not updated emacs for a year, so I
am unsure of when exactly it changed) would indent the file as

<x>
   <abc xx=3D"x/x/x/x/x/x/x/
=09   y/y/y/y/y/y/
=09   ">
     <zzz/>
   </abc>
   <nl>&#10;</nl>
</x>


With the indentation of <zzz/> correctly indicating the element nesting
and not being affected by the attribute wrapping in <abc..

Also it does not show a visual newline for #10, even when other numeric
references to printable characters do display the character, which was=20
the desired behaviour.






In GNU Emacs 26.1 (build 1, x86_64-unknown-cygwin, GTK+ Version 3.22.28)
  of 2018-05-28 built on DESKTOP
Repository revision: d802fa4a0642157d7aff9a9d599785df7604e4d1
Windowing system distributor 'The Cygwin/X Project', version 11.0.12001000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Using vacuous schema
Mark set
Indenting region...done
You can run the command =E2=80=98indent-region=E2=80=99 with C-M-\
Indenting region...done
Saving file /c/tmp/zz.xml...
Wrote /c/tmp/zz.xml
Making completion list... [2 times]

Configured using:
  'configure
  --srcdir=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/src/emacs-26.1
  --prefix=3D/usr --exec-prefix=3D/usr --localstatedir=3D/var --sysconfdir=
=3D/etc
  --docdir=3D/usr/share/doc/emacs --htmldir=3D/usr/share/doc/emacs/html -C
  'CFLAGS=3D-ggdb -O2 -pipe -Wall -Werror=3Dformat-security
  -Wp,-D_FORTIFY_SOURCE=3D2 -fstack-protector-strong
  --param=3Dssp-buffer-size=3D4
=20
-fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/build=3D=
/usr/src/debug/emacs-26.1-1
=20
-fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/src/emac=
s-26.1=3D/usr/src/debug/emacs-26.1-1'
  CPPFLAGS=3D LDFLAGS=3D'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 THREADS LCMS2

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: nXML

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils rng-xsd xsd-regexp rng-cmpct
rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt
rng-util rng-pttrn nxml-ns easymenu nxml-mode nxml-outln nxml-rap
sgml-mode seq byte-opt gv bytecomp byte-compile cconv dom cl-loaddefs
cl-lib nxml-util nxml-enc xmltok elec-pair time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind gfilenotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 113057 8213)
  (symbols 48 33275 2)
  (miscs 40 98 126)
  (strings 32 46130 1331)
  (string-bytes 1 1078054)
  (vectors 16 17170)
  (vector-slots 8 535364 10330)
  (floats 8 62 253)
  (intervals 56 351 0)
  (buffers 992 15))

Disclaimer

The Numerical Algorithms Group Ltd is a company registered in England and W=
ales with company number 1249803. The registered office is:
Wilkinson House, Jordan Hill Road, Oxford OX2 8DR, United Kingdom.

This e-mail has been scanned for all viruses and malware, and may have been=
 automatically archived by Mimecast Ltd, an innovator in Software as a Serv=
ice (SaaS) for business.=20

--MCBoundary=_11810011044433751
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset=UTF-8

<html><head><style type=3D"text/css">.style1 {font-family: "Times New Roman=
";}</style></head><body><BR>
<BR>
loading the following xml into emacs -q<BR>
<BR>
&lt;x&gt;<BR>
   &lt;abc xx=3D&quot;x/x/x/x/x/x/x/<BR>
=09   y/y/y/y/y/y/<BR>
=09   &quot;&gt;<BR>
=09   &lt;zzz/&gt;<BR>
   &lt;/abc&gt;<BR>
   &lt;nl&gt;&amp;#10;&lt;/nl&gt;<BR>
&lt;/x&gt;<BR>
<BR>
and using indent-region on the whole file produces the layout shown<BR>
with &lt;zzz/&gt; indented to the level of the wrapped attribute.<BR>
<BR>
Also unless nxml-char-ref-display-glyph-flag is set to nil, the #10<BR>
displays a newline so the display appears as<BR>
<BR>
   &lt;nl&gt;&amp;#10;<BR>
&lt;/nl&gt;<BR>
<BR>
<BR>
so spoiling the visual indentation.<BR>
(In the actual use case in XSLT, the newlines are only entered as &amp;#10;=
<BR>
rather than a literal newline to improve the indentation layout of the<BR>
stylesheet so having the newline displayed defeats this completely.)<BR>
<BR>
<BR>
Previous versions of nxml-mode (I had not updated emacs for a year, so I<BR=
>
am unsure of when exactly it changed) would indent the file as<BR>
<BR>
&lt;x&gt;<BR>
   &lt;abc xx=3D&quot;x/x/x/x/x/x/x/<BR>
=09   y/y/y/y/y/y/<BR>
=09   &quot;&gt;<BR>
     &lt;zzz/&gt;<BR>
   &lt;/abc&gt;<BR>
   &lt;nl&gt;&amp;#10;&lt;/nl&gt;<BR>
&lt;/x&gt;<BR>
<BR>
<BR>
With the indentation of &lt;zzz/&gt; correctly indicating the element nesti=
ng<BR>
and not being affected by the attribute wrapping in &lt;abc..<BR>
<BR>
Also it does not show a visual newline for #10, even when other numeric<BR>
references to printable characters do display the character, which was <BR>
the desired behaviour.<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
In GNU Emacs 26.1 (build 1, x86_64-unknown-cygwin, GTK+ Version 3.22.28)<BR=
>
  of 2018-05-28 built on DESKTOP<BR>
Repository revision: d802fa4a0642157d7aff9a9d599785df7604e4d1<BR>
Windowing system distributor 'The Cygwin/X Project', version 11.0.12001000<=
BR>
Recent messages:<BR>
For information about GNU Emacs and the GNU system, type C-h C-a.<BR>
Using vacuous schema<BR>
Mark set<BR>
Indenting region...done<BR>
You can run the command =E2=80=98indent-region=E2=80=99 with C-M-\<BR>
Indenting region...done<BR>
Saving file /c/tmp/zz.xml...<BR>
Wrote /c/tmp/zz.xml<BR>
Making completion list... [2 times]<BR>
<BR>
Configured using:<BR>
  'configure<BR>
  --srcdir=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/src/emacs-26.1<B=
R>
  --prefix=3D/usr --exec-prefix=3D/usr --localstatedir=3D/var --sysconfdir=
=3D/etc<BR>
  --docdir=3D/usr/share/doc/emacs --htmldir=3D/usr/share/doc/emacs/html -C<=
BR>
  'CFLAGS=3D-ggdb -O2 -pipe -Wall -Werror=3Dformat-security<BR>
  -Wp,-D_FORTIFY_SOURCE=3D2 -fstack-protector-strong<BR>
  --param=3Dssp-buffer-size=3D4<BR>
 <BR>
-fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/build=3D=
/usr/src/debug/emacs-26.1-1<BR>
 <BR>
-fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-26.1-1.x86_64/src/emac=
s-26.1=3D/usr/src/debug/emacs-26.1-1'<BR>
  CPPFLAGS=3D LDFLAGS=3D'<BR>
<BR>
Configured features:<BR>
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL<BR>
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS<BR>
GTK3 X11 THREADS LCMS2<BR>
<BR>
Important settings:<BR>
   value of $LANG: en_US.UTF-8<BR>
   locale-coding-system: utf-8-unix<BR>
<BR>
Major mode: nXML<BR>
<BR>
Minor modes in effect:<BR>
   tooltip-mode: t<BR>
   global-eldoc-mode: t<BR>
   electric-indent-mode: t<BR>
   mouse-wheel-mode: t<BR>
   tool-bar-mode: t<BR>
   menu-bar-mode: t<BR>
   file-name-shadow-mode: t<BR>
   global-font-lock-mode: t<BR>
   font-lock-mode: t<BR>
   blink-cursor-mode: t<BR>
   auto-composition-mode: t<BR>
   auto-encryption-mode: t<BR>
   auto-compression-mode: t<BR>
   line-number-mode: t<BR>
   transient-mark-mode: t<BR>
<BR>
Load-path shadows:<BR>
None found.<BR>
<BR>
Features:<BR>
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs<BR>
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config<BR=
>
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse<BR>
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045<BR>
ietf-drums mm-util mail-prsvr mail-utils rng-xsd xsd-regexp rng-cmpct<BR>
rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt<BR=
>
rng-util rng-pttrn nxml-ns easymenu nxml-mode nxml-outln nxml-rap<BR>
sgml-mode seq byte-opt gv bytecomp byte-compile cconv dom cl-loaddefs<BR>
cl-lib nxml-util nxml-enc xmltok elec-pair time-date mule-util tooltip<BR>
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel<BR>
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image<BR>
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode<BR=
>
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer<BR>
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core<BR>
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang<BR>
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932<BR>
hebrew greek romanian slovak czech european ethiopic indian cyrillic<BR>
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook<BR>
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<BR>
button faces cus-face macroexp files text-properties overlay sha1 md5<BR>
base64 format env code-pages mule custom widget hashtable-print-readable<BR=
>
backquote dbusbind gfilenotify lcms2 dynamic-setting system-font-setting<BR=
>
font-render-setting move-toolbar gtk x-toolkit x multi-tty<BR>
make-network-process emacs)<BR>
<BR>
Memory information:<BR>
((conses 16 113057 8213)<BR>
  (symbols 48 33275 2)<BR>
  (miscs 40 98 126)<BR>
  (strings 32 46130 1331)<BR>
  (string-bytes 1 1078054)<BR>
  (vectors 16 17170)<BR>
  (vector-slots 8 535364 10330)<BR>
  (floats 8 62 253)<BR>
  (intervals 56 351 0)<BR>
  (buffers 992 15))<BR>

<br /><br /><p style=3D"font-family: Verdana; font-size:10pt; color:#666666=
;"><b>Disclaimer</b></p><p style=3D"font-family: Verdana; font-size:8pt; co=
lor:#666666;">The Numerical Algorithms Group Ltd is a company registered in=
 England and Wales with company number 1249803. The registered office is:
Wilkinson House, Jordan Hill Road, Oxford OX2 8DR, United Kingdom.  Please =
see our <A href=3D"https://www.nag.co.uk/content/privacy-notice">Privacy No=
tice</A> for information on how we process personal data and for details of=
 how to stop or limit communications from us.<br /><br />This e-mail has be=
en scanned for all viruses and malware, and may have been automatically arc=
hived by Mimecast Ltd, an innovator in Software as a Service (SaaS) for bus=
iness.</p>

</body></html>

--MCBoundary=_11810011044433751--





Acknowledgement sent to David Carlisle <davidc@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32897; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 May 2019 12:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.